define(['sandbox'], function (sandbox) {
  /**
   * Useful methods to attach to a view
   */
  var View = sandbox.mvc.View({

    /**
     * Attaches a sub view to an element within the this view
     * @param view Backbone.View
     * @param selector string jQuery query selector
     */
    attachViewToElement: function (view, selector) {
      view.setElement(this.$(selector)).render();
    },

    /**
     * Attaches this view to an element and renders
     * @param element string/jQuery
     */
    setElementAndRender: function (element) {
      this.setElement(element).render();
    }

  });

  return View;

});